<?xml version="1.0"?>
<?xml-model href="http://download.ros.org/schema/package_format3.xsd" schematypens="http://www.w3.org/2001/XMLSchema"?>
<package format="3">
  <name>lgsvl_interface</name>
  <version>0.0.2</version>
  <description>A simple instantiation of a vehicle interface specialized for LGSVL simulator</description>
  <maintainer email="opensource@apex.ai">Apex.AI, Inc</maintainer>
  <license>Apache 2 License</license>

  <buildtool_depend>ament_cmake_auto</buildtool_depend>
  <buildtool_depend>autoware_auto_cmake</buildtool_depend>

  <build_depend>tf2</build_depend> <!-- For quaternion arithmetic -->

  <depend>autoware_auto_common</depend>
  <depend>autoware_auto_geometry</depend>
  <depend>geometry_msgs</depend>
  <depend>nav_msgs</depend>
  <depend>tf2_msgs</depend>
  <depend>vehicle_interface</depend>

  <!-- Transitive build dependencies -->
  <depend>autoware_auto_msgs</depend>
  <depend>rclcpp</depend>
  <depend>rclcpp_components</depend>
  <depend>time_utils</depend>

  <exec_depend>launch_ros</exec_depend>

  <test_depend>ament_cmake_gtest</test_depend>
  <test_depend>ament_lint_auto</test_depend>
  <test_depend>ament_lint_common</test_depend>

  <export>
    <build_type>ament_cmake</build_type>
  </export>
</package>
